Summary: mod_overload module for Apache web server
Name: mod_overload
Version: 0.2.2
Release: 1
License: GPL
Group: System/Servers
Source0: mod_overload-%{version}.tar.gz
BuildRequires: httpd-devel, apr-devel
Requires: httpd
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description 
mod_overload is a simple module to prevent web server from overloading, by checking load averages

%prep
%setup -n mod_overload-%{version}


%configure
%{__make}  %{?_smp_mflags}

%build


%install
%{__install} -Dpm 755 .libs/libmodoverload.so.0 \
                 %{buildroot}%{_libdir}/httpd/modules/mod_overload.so

%{__install} -Dpm 644 overload.conf \
                 %{buildroot}%{_sysconfdir}/httpd/conf.d/overload.conf

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README
%config(noreplace) %{_sysconfdir}/httpd/conf.d/overload.conf
%{_libdir}/httpd/modules/mod_overload.so

%clean
%{__rm} -rf %{buildroot}
